Skip to main content
GET
ListFamilies

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of families to return. The service may return fewer than this value, even if there are additional pages. If unspecified, the limit defaults to 50. The maximum value is 100.

pageToken
string

A page token, received from a previous ListFamilies call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListFamilies must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: family_id, client_key, organization_id, archived_date, is_archived, created_by_user_id, created_date, modified_by_user_id, modified_date, name, description, run_query, run_id_includes, run_id_excludes, alignment_name, alignment_description, metadata. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved families. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are: created_date, modified_date, archived_date. If left empty, items are ordered by created_date in descending order. For more information about the format of this field, read this Example: "created_date desc"

Response

A successful response.

families
object[]
required
nextPageToken
string
required

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.